#!/bin/bash

declare -a approximation_modes=("original" "laser" "ser")

for am in ${approximation_modes[@]}
do
    echo "Running Cosine Thresholding on ${am} bert"
    python thresholdmodel.py --model bert-base-uncased --device cuda:1 --batchsize 256 --approximation ${am}
done